/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.model.application.dto.common;

import java.io.IOException;
import java.util.Properties;

/**
 * The Class ApplicationProperties.
 */
public class ApplicationProperties {

    /** The properties. */
    private final Properties properties = new Properties();

    /**
     * Instantiates a new application properties.
     */
    public ApplicationProperties() {
        super();
        try {
            properties.load(ApplicationProperties.class
                    .getResourceAsStream("/application.properties"));
        } catch (IOException e) {
        	e.printStackTrace();
        }
    }

    /**
     * Gets the name.
     *
     * @return the name
     */
    public final String getName() {
        return properties.getProperty("application.name");
    }

    /**
     * Gets the url.
     *
     * @return the url
     */
    public final String getUrl() {
        return properties.getProperty("application.url");
    }

    /**
     * Gets the version.
     *
     * @return the version
     */
    public final String getVersion() {
        return properties.getProperty("application.version");
    }


}
