/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.model.application.impl.admin;

import java.util.Date;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

import com.hack23.cia.model.application.impl.common.UserSession;

/**
 * The Class TaskActionEvent.
 */
@Entity
@DiscriminatorValue("TaskActionEvent")
public class TaskActionEvent extends AbstractAdminActionEvent {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new task action event.
     */
    public TaskActionEvent() {
    }

    /**
     * Instantiates a new task action event.
     *
     * @param createdDate the created date
     * @param userSession the user session
     */
    public TaskActionEvent(final Date createdDate, final UserSession userSession) {
        super(createdDate, userSession);
    }
}
