/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.model.application.impl.common;

import com.hack23.cia.model.sweden.impl.Ballot;
import com.hack23.cia.model.sweden.impl.CommitteeReport;
import com.hack23.cia.model.sweden.impl.ParliamentMember;
import com.hack23.cia.model.sweden.impl.PoliticalParty;

/**
 * The Enum ParliamentChart.
 */
public enum ParliamentChart {

	/** The Outcome. */
	Outcome,

	/** The Political party behavior. */
	PoliticalPartyBehavior,

	/** The Proffessional behavior. */
	ProffessionalBehavior,

	/** The Summary. */
	Summary;

	/** The Constant FILE_EXTENSION. */
	public static final String FILE_EXTENSION = ".png";

	/**
	 * Gets the file name.
	 *
	 * @param chart the chart
	 * @param ballot the ballot
	 * @param language the language
	 * @return the file name
	 */
	public static final String getFileName(final ParliamentChart chart, final Ballot ballot,
			final Language language) {
		return chart.toString()  +"-ballot-" + ballot.getId() +"-"+ language.getShortCode() + FILE_EXTENSION;

	}
	
	/**
	 * Gets the file name.
	 *
	 * @param chart the chart
	 * @param committeeReport the committee report
	 * @param language the language
	 * @return the file name
	 */
	public static final String getFileName(final ParliamentChart chart,
			final CommitteeReport committeeReport,final  Language language) {
		return chart.toString()  +"-committeeReport-" + committeeReport.getId() +"-"+ language.getShortCode() + FILE_EXTENSION;
	}
	
	/**
	 * Gets the file name.
	 *
	 * @param chart the chart
	 * @param language the language
	 * @return the file name
	 */
	public static final String getFileName(final ParliamentChart chart,
			final Language language) {
		return chart.toString() + "-" + language.getShortCode() + FILE_EXTENSION;
	}
	
	/**
	 * Gets the file name.
	 *
	 * @param chart the chart
	 * @param parliamentMember the parliament member
	 * @param language the language
	 * @return the file name
	 */
	public static final String getFileName(final ParliamentChart chart,
			final ParliamentMember parliamentMember, final Language language) {
		return chart.toString()  +"-parliamentMember-" + parliamentMember.getId() +"-"+ language.getShortCode() + FILE_EXTENSION;
	}
	
	/**
	 * Gets the file name.
	 *
	 * @param chart the chart
	 * @param politicalParty the political party
	 * @param language the language
	 * @return the file name
	 */
	public static final String getFileName(final ParliamentChart chart,final PoliticalParty politicalParty,
			final Language language) {
		return chart.toString()  +"-party-" + politicalParty.getShortCode() +"-"+ language.getShortCode() + FILE_EXTENSION;
	}
}
