/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.model.application.impl.user;

import java.util.Date;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import com.hack23.cia.model.application.impl.common.UserSession;

/**
 * The Class BallotActionEvent.
 */
@Entity
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
@DiscriminatorValue("BallotActionEvent")
public class BallotActionEvent extends AbstractParliamentActionEvent {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The ballot id. */
    private Long ballotId;

    /**
     * Instantiates a new ballot action event.
     */
    public BallotActionEvent() {
    }

    /**
     * Instantiates a new ballot action event.
     *
     * @param createdDate the created date
     * @param userSession the user session
     * @param ballotId the ballot id
     */
    public BallotActionEvent(final Date createdDate,
            final UserSession userSession, final Long ballotId) {
        super(createdDate, userSession);
        this.ballotId = ballotId;
    }

    /**
     * Gets the ballot id.
     *
     * @return the ballot id
     */
    public Long getBallotId() {
        return ballotId;
    }

    /**
     * Sets the ballot id.
     *
     * @param ballotId the new ballot id
     */
    public void setBallotId(Long ballotId) {
        this.ballotId = ballotId;
    }
}
