/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.admin;

import com.hack23.cia.model.application.impl.admin.LanguageAgencyActionEvent.Operation;
import com.hack23.cia.model.application.impl.common.Agency;
import com.hack23.cia.model.application.impl.common.Language;

/**
 * The Class LanguageRequest.
 */
public class LanguageRequest extends AbstractAgencyRequest {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The language. */
    private final Language language;

    /** The operation. */
    private final Operation operation;

    /**
     * Instantiates a new language request.
     *
     * @param userSessionId the user session id
     * @param operation the operation
     * @param agency the agency
     * @param language the language
     */
    public LanguageRequest(final Long userSessionId, final Operation operation,
            final Agency agency, final Language language) {
        super(userSessionId,agency);
        this.operation = operation;
        this.language = language;
    }

    /**
     * Gets the language.
     *
     * @return the language
     */
    public final Language getLanguage() {
        return language;
    }

    /**
     * Gets the operation.
     *
     * @return the operation
     */
    public final Operation getOperation() {
        return operation;
    }
}
