/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

import java.util.List;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.sweden.impl.CommitteeReport;

/**
 * The Class CommitteeReportsResponse.
 */
public class CommitteeReportsResponse extends AbstractParliamentResponse {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The committee reports. */
    private final List<CommitteeReport> committeeReports;

    /**
     * Instantiates a new committee reports response.
     *
     * @param userSessionDTO the user session dto
     * @param committeeReports the committee reports
     */
    public CommitteeReportsResponse(final UserSessionDTO userSessionDTO,
            final List<CommitteeReport> committeeReports) {
       super(userSessionDTO);
        this.committeeReports = committeeReports;
    }

    /**
     * Gets the committee reports.
     *
     * @return the committee reports
     */
    public final List<CommitteeReport> getCommitteeReports() {
        return committeeReports;
    }
}
