/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

import java.util.List;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.sweden.impl.ParliamentMember;

/**
 * The Class SearchResponse.
 */
public class SearchResponse extends AbstractParliamentResponse {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The parliament member list. */
    private final List<ParliamentMember> parliamentMemberList;

    /**
     * Instantiates a new search response.
     *
     * @param userSessionDTO the user session dto
     * @param parliamentMemberList the parliament member list
     */
    public SearchResponse(final UserSessionDTO userSessionDTO,
            final List<ParliamentMember> parliamentMemberList) {
    	super(userSessionDTO);
        this.parliamentMemberList = parliamentMemberList;
    }

    /**
     * Gets the parliament member list.
     *
     * @return the parliament member list
     */
    public final List<ParliamentMember> getParliamentMemberList() {
        return parliamentMemberList;
    }
}
