/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.dao;

import java.util.List;

import com.hack23.cia.model.sweden.impl.CommitteeReport;

/**
 * The Interface CommitteeReportDAO.
 */
public interface CommitteeReportDAO extends GenericDAO<CommitteeReport, Long> {

    /**
     * Find by name.
     *
     * @param name the name
     * @return the committee report
     */
    CommitteeReport findByName(String name);

    /**
     * Gets the all created.
     *
     * @return the all created
     */
    List<CommitteeReport> getAllCreated();

    /**
     * Gets the all last decided.
     *
     * @return the all last decided
     */
    List<CommitteeReport> getAllLastDecided();

    /**
     * Gets the last decided.
     *
     * @return the last decided
     */
    List<CommitteeReport> getLastDecided();

}
