/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.dao;

import java.util.List;

import com.hack23.cia.model.application.impl.common.AbstractActionEvent;

/**
 * The Class EventDAOImpl.
 */
public class EventDAOImpl extends
        GenericHibernateDAO<AbstractActionEvent, Long> implements EventDAO {

    /**
     * Instantiates a new event dao impl.
     */
    public EventDAOImpl() {
        super(AbstractActionEvent.class);
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.service.dao.UserDAO#getActionEventHistory()
     */
    @SuppressWarnings("unchecked")
	@Override
    public final List getActionEventHistory() {
        return this
                .getHibernateTemplate()
                .find(
                        "select hour(event.createdDate),count(*) from AbstractActionEvent event group by hour(createdDate)"); //$NON-NLS-1$
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.service.dao.UserDAO#getResponseTimeHistory()
     */
    @SuppressWarnings("unchecked")
	public final List getResponseTimeHistory() {
        return this
                .getHibernateTemplate()
                .find(
                        "select hour(event.createdDate),avg(event.executionTime),min(event.executionTime),max(event.executionTime) from AbstractActionEvent event group by hour(createdDate)"); //$NON-NLS-1$
    }

}
