/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.dao;

import java.io.Serializable;
import java.util.List;

import com.hack23.cia.model.core.impl.BaseEntity;

/**
 * The Interface GenericDAO.
 *
 * @param <T> the generic type
 * @param <ID> the generic type
 */
public abstract interface GenericDAO<T extends BaseEntity, ID extends Serializable> {

    /**
     * Delete.
     *
     * @param entity the entity
     */
    void delete(T entity);

    /**
     * Gets the all.
     *
     * @return the all
     */
    List<T> getAll();

    /**
     * Load.
     *
     * @param id the id
     * @return the t
     */
    T load(ID id);

    /**
     * Save.
     *
     * @param entity the entity
     * @return the t
     */
    T save(T entity);
}
