/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.dao;

import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.criterion.Restrictions;

import com.hack23.cia.model.application.impl.common.ImageContent;
import com.hack23.cia.model.core.impl.AbstractResource;

/**
 * The Class ResourceDAOImpl.
 */
public class ResourceDAOImpl extends
        GenericHibernateDAO<AbstractResource, Long> implements ResourceDAO {

    /**
     * Instantiates a new resource dao impl.
     */
    public ResourceDAOImpl() {
        super(AbstractResource.class);
    }

	/* (non-Javadoc)
	 * @see com.hack23.cia.service.dao.ResourceDAO#getImageContentByFileName(java.lang.String)
	 */
	@SuppressWarnings("unchecked")
	@Override
	public final ImageContent getImageContentByFileName(final String fileName) {
        try {
            List list = getSession()
                    .createCriteria(ImageContent.class)
                    .add(Restrictions.eq("fileName", fileName)).setCacheable(true).setMaxResults(1).list();
            
            if (list.size() > 0) {
            	return (ImageContent) list.get(0);
            } else {
            	return null;
            }
            
        } catch (HibernateException hibernateException) {
            throw getHibernateTemplate().convertHibernateAccessException(
                    hibernateException);
        }
	}
}
