/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.impl.admin;

import org.springframework.core.task.TaskExecutor;

/**
 * The Class TaskServiceImpl.
 */
public class TaskServiceImpl implements TaskService {

    /** The task execution. */
    private final Runnable taskExecution;

    /** The task executor. */
    private final TaskExecutor taskExecutor;

    /**
     * Instantiates a new task service impl.
     *
     * @param taskExecutor the task executor
     * @param taskExecution the task execution
     */
    public TaskServiceImpl(final TaskExecutor taskExecutor,
            final Runnable taskExecution) {
        super();
        this.taskExecutor = taskExecutor;
        this.taskExecution = taskExecution;
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.service.TaskService#execute()
     */
    public final void execute() {
        taskExecutor.execute(taskExecution);
    }

}
