/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.service.impl.user;

import com.hack23.cia.service.api.user.AbstractUserRequest;
import com.hack23.cia.service.impl.common.ParliamentService;
import com.hack23.cia.service.impl.common.UserSessionService;

/**
 * The Class AbstractParliamentRequestService.
 *
 * @param <REQUEST> the generic type
 */
public abstract class AbstractParliamentRequestService<REQUEST extends AbstractUserRequest>
        extends AbstractUserRequestService<REQUEST> {

    /** The parliament service. */
    private final ParliamentService parliamentService;

    /**
     * Instantiates a new abstract parliament request service.
     *
     * @param userSessionService the user session service
     * @param parliamentService the parliament service
     */
    public AbstractParliamentRequestService(
            final UserSessionService userSessionService,
            final ParliamentService parliamentService) {
        super(userSessionService);
        this.parliamentService = parliamentService;
    }

    /**
     * Gets the parliament service.
     *
     * @return the parliament service
     */
    public final ParliamentService getParliamentService() {
        return parliamentService;
    }
}
