/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.service.impl.user;

import com.hack23.cia.model.application.impl.common.UserSession;
import com.hack23.cia.service.api.common.AbstractServiceRequest;
import com.hack23.cia.service.api.user.AbstractUserRequest;
import com.hack23.cia.service.impl.common.AbstractGenericService;
import com.hack23.cia.service.impl.common.UserSessionService;

/**
 * The Class AbstractUserRequestService.
 *
 * @param <REQUEST> the generic type
 */
public abstract class AbstractUserRequestService<REQUEST extends AbstractUserRequest>
        extends AbstractGenericService<REQUEST> {

    /**
     * Instantiates a new abstract user request service.
     *
     * @param userSessionService the user session service
     */
    public AbstractUserRequestService(
            final UserSessionService userSessionService) {
        super(userSessionService);
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * com.hack23.cia.service.common.AbstractGenericService#lookupUserSession
     * (com.hack23.cia.service.api.AbstractServiceRequest)
     */
    @Override
    public final UserSession lookupUserSession(
            final AbstractServiceRequest request) {
        UserSession userSession = getUserSessionService().loadUserSessionById(
                request.getUserSessionId());
        return userSession;
    }
}
