/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.action.admin;

import com.hack23.cia.model.application.impl.admin.LanguageAgencyActionEvent.Operation;
import com.hack23.cia.model.application.impl.common.Agency;
import com.hack23.cia.model.application.impl.common.Language;

/**
 * The Class LanguageAgencyAction.
 */
public class LanguageAgencyAction extends AbstractConfigurationAction {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 967092220196995079L;

    /** The agency. */
    private final Agency agency;

    /** The language. */
    private final Language language;

    /** The operation. */
    private final Operation operation;

    /**
     * Instantiates a new language agency action.
     *
     * @param operation the operation
     * @param agency the agency
     * @param lang the lang
     */
    public LanguageAgencyAction(final Operation operation, final Agency agency,
            final Language lang) {
        super();
        this.operation = operation;
        this.agency = agency;
        language = lang;
    }

    /**
     * Gets the agency.
     *
     * @return the agency
     */
    public final Agency getAgency() {
        return agency;
    }

    /**
     * Gets the language.
     *
     * @return the language
     */
    public final Language getLanguage() {
        return language;
    }

    /**
     * Gets the operation.
     *
     * @return the operation
     */
    public final Operation getOperation() {
        return operation;
    }

}
