/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.web.action.application;

import thinwire.ui.Frame;

import com.hack23.cia.web.action.common.AbstractAction;
import com.hack23.cia.web.action.common.ActionCategory;

/**
 * The Class ApplicationAction.
 */
public class ApplicationAction extends AbstractAction {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The args. */
    private final String[] args;

    /** The frame. */
    private transient Frame frame;

    /**
     * Instantiates a new application action.
     *
     * @param frame the frame
     * @param args the args
     */
    public ApplicationAction(final Frame frame, final String[] args) {
        super(ActionCategory.Application);
        this.frame = frame;
        this.args = args;
    }

    /**
     * Gets the args.
     *
     * @return the args
     */
    public final String[] getArgs() {
        return args;
    }

    /**
     * Gets the frame.
     *
     * @return the frame
     */
    public final Frame getFrame() {
        return frame;
    }

}
