/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.action.user;

/**
 * The Class SearchAction.
 */
public class SearchAction extends AbstractParliamentAction {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 967092220196995079L;

    /** The search string. */
    private final String searchString;

    /**
     * Instantiates a new search action.
     *
     * @param searchString the search string
     */
    public SearchAction(final String searchString) {
        super();
        this.searchString = searchString;
    }

    /**
     * Gets the search string.
     *
     * @return the search string
     */
    public final String getSearchString() {
        return searchString;
    }

}
