/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.controller.admin;

import com.hack23.cia.model.application.impl.admin.AgencyActionEvent.Operation;
import com.hack23.cia.service.api.admin.AgencyRequest;
import com.hack23.cia.service.api.admin.AgencyResponse;
import com.hack23.cia.service.api.application.ApplicationManager;
import com.hack23.cia.web.action.admin.ConfigureAgencyAction;
import com.hack23.cia.web.viewfactory.api.admin.AgencyModelAndView;
import com.hack23.cia.web.viewfactory.api.admin.AgencyModelAndView.AgencyViewSpecification;
import com.hack23.cia.web.viewfactory.api.common.ModelAndView;
import com.hack23.cia.web.viewfactory.api.common.ViewFactoryService;

/**
 * The Class ConfigureAgencyActionHandler.
 */
public class ConfigureAgencyActionHandler
        extends
        AbstractAdminActionHandler<ConfigureAgencyAction, AgencyRequest, AgencyResponse> {

    /**
     * Instantiates a new configure agency action handler.
     *
     * @param viewFactoryService the view factory service
     * @param applicationManager the application manager
     */
    public ConfigureAgencyActionHandler(
            final ViewFactoryService viewFactoryService,
            final ApplicationManager applicationManager) {
        super(viewFactoryService, applicationManager);
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.hack23.cia.web.controller.common.AbstractGenericHandler#
     * createServiceRequest(com.hack23.cia.web.action.common.AbstractAction)
     */
    @Override
    public final AgencyRequest createServiceRequest(
            final ConfigureAgencyAction action) {
        return new AgencyRequest(getUserStateService().getUserSessionId(),
                Operation.ConfigureAgency, null);
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.web.controller.ActionHandler#getSupportedAction()
     */
    @SuppressWarnings("unchecked")
    @Override
    public final Class getSupportedAction() {
        return ConfigureAgencyAction.class;
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.hack23.cia.web.controller.common.AbstractGenericHandler#
     * handleSuccessResponse(com.hack23.cia.web.action.common.AbstractAction,
     * com.hack23.cia.service.api.common.AbstractServiceResponse)
     */
    @Override
    public final ModelAndView handleSuccessResponse(
            final ConfigureAgencyAction action, final AgencyResponse response) {
        return new AgencyModelAndView(response.getUserSessionDTO(), action,
                AgencyViewSpecification.ConfigureAgencyView, response
                        .getAgency());
    }

}
