/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.controller.user;

import com.hack23.cia.service.api.application.ApplicationManager;
import com.hack23.cia.service.api.user.AbstractUserRequest;
import com.hack23.cia.service.api.user.AbstractUserResponse;
import com.hack23.cia.web.action.user.AbstractUserAction;
import com.hack23.cia.web.controller.common.AbstractGenericHandler;
import com.hack23.cia.web.viewfactory.api.common.ViewFactoryService;

/**
 * The Class AbstractUserActionHandler.
 *
 * @param <ACTION> the generic type
 * @param <REQUEST> the generic type
 * @param <RESPONSE> the generic type
 */
public abstract class AbstractUserActionHandler<ACTION extends AbstractUserAction, REQUEST extends AbstractUserRequest, RESPONSE extends AbstractUserResponse>
        extends AbstractGenericHandler<ACTION, REQUEST, RESPONSE> {

    /**
     * Instantiates a new abstract user action handler.
     *
     * @param viewFactoryService the view factory service
     * @param applicationManager the application manager
     */
    public AbstractUserActionHandler(
            final ViewFactoryService viewFactoryService,
            final ApplicationManager applicationManager) {
        super(viewFactoryService, applicationManager);
    }
}
