/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

import com.hack23.cia.model.application.dto.common.ApplicationProperties;
import com.hack23.cia.service.api.application.ApplicationManager;
import com.sun.syndication.feed.synd.SyndContent;
import com.sun.syndication.feed.synd.SyndContentImpl;
import com.sun.syndication.feed.synd.SyndEntry;
import com.sun.syndication.feed.synd.SyndEntryImpl;
import com.sun.syndication.feed.synd.SyndFeed;
import com.sun.syndication.feed.synd.SyndFeedImpl;
import com.sun.syndication.io.SyndFeedOutput;

/**
 * The Class RssFeedService.
 */
public class RssFeedService extends AbstractController {

	/** The application manager. */
	private final ApplicationManager applicationManager;
	
	
    /**
     * Instantiates a new rss feed service.
     *
     * @param applicationManager the application manager
     */
    public RssFeedService(final ApplicationManager applicationManager) {
		super();
		this.applicationManager = applicationManager;
	}

	/* (non-Javadoc)
     * @see org.springframework.web.servlet.mvc.AbstractController#handleRequestInternal(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    @Override
    protected final ModelAndView handleRequestInternal(final HttpServletRequest request,
            final HttpServletResponse response) throws Exception {

    	ApplicationProperties applicationProperties = new ApplicationProperties();
    	String feedType = "rss_2.0";

    	SyndFeed feed = new SyndFeedImpl();
    	feed.setFeedType(feedType);

    	feed.setTitle(applicationProperties.getName());
    	feed.setLink("http://localhost:8080/services/rss.xml");
    	feed.setDescription(applicationProperties.getVersion());

    	List entries = new ArrayList();
    	SyndEntry entry;
    	SyndContent description;

    	entry = new SyndEntryImpl();
    	entry.setTitle("My first RSS example with Rome");
    	entry.setLink(applicationProperties.getUrl());
    	entry.setPublishedDate(new Date());
    	description = new SyndContentImpl();
    	description.setType("text/html");
    	description.setValue("<p>sample</p>");
    	entry.setDescription(description);
    	entries.add(entry);

    	feed.setEntries(entries);

    	SyndFeedOutput output = new SyndFeedOutput();
    	response.setContentType("application/xml; charset=UTF-8"); 
    	output.output(feed,response.getWriter());        
        
        return null;
    }

}
