/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.web.viewfactory.impl.admin;

import com.hack23.cia.web.viewfactory.api.admin.LanguageAgencyModelAndView;
import com.hack23.cia.web.views.admin.ConfigureLanguagePanel;
import com.hack23.cia.web.views.common.ActiveUserView;

/**
 * The Class LanguageAgencyViewFactoryImpl.
 */
public class LanguageAgencyViewFactoryImpl extends
        AbstractConfigurationViewFactoryImpl<LanguageAgencyModelAndView> {

    /**
     * Instantiates a new language agency view factory impl.
     */
    public LanguageAgencyViewFactoryImpl() {
        super();
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.hack23.cia.web.viewfactory.impl.common.ViewFactory#
     * getSupportedModelAndView()
     */
    @SuppressWarnings("unchecked")
    @Override
    public final Class getSupportedModelAndView() {
        return LanguageAgencyModelAndView.class;
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.hack23.cia.web.viewfactory.impl.common.AbstractViewFactoryImpl#
     * processSpecificView
     * (com.hack23.cia.web.viewfactory.api.common.AbstractModelAndView)
     */
    @Override
    public final void processSpecificView(
            final LanguageAgencyModelAndView modelAndView) {
        ActiveUserView.changeContentView(new ConfigureLanguagePanel(modelAndView.getUserSessionDTO(),modelAndView
                .getAgency(), modelAndView.getLanguage()));

    }
}
