/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.web.viewfactory.impl.admin;

import com.hack23.cia.web.viewfactory.api.admin.LanguageContentModelAndView;
import com.hack23.cia.web.views.admin.ConfigureLanguageContentPanel;
import com.hack23.cia.web.views.common.ActiveUserView;

/**
 * The Class LanguageContentViewFactoryImpl.
 */
public class LanguageContentViewFactoryImpl extends
        AbstractConfigurationViewFactoryImpl<LanguageContentModelAndView> {

    /**
     * Instantiates a new language content view factory impl.
     */
    public LanguageContentViewFactoryImpl() {
        super();
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.hack23.cia.web.viewfactory.impl.common.ViewFactory#
     * getSupportedModelAndView()
     */
    @SuppressWarnings("unchecked")
    @Override
    public final Class getSupportedModelAndView() {
        return LanguageContentModelAndView.class;
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.hack23.cia.web.viewfactory.impl.common.AbstractViewFactoryImpl#
     * processSpecificView
     * (com.hack23.cia.web.viewfactory.api.common.AbstractModelAndView)
     */
    @Override
    public final void processSpecificView(
            final LanguageContentModelAndView modelAndView) {
        ActiveUserView.changeContentView(new ConfigureLanguageContentPanel(modelAndView.getUserSessionDTO(),modelAndView
                .getAgency(), modelAndView.getLanguageContent()));

    }
}
