/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.web.viewfactory.impl.common;

import com.hack23.cia.web.viewfactory.api.common.AbstractModelAndView;
import com.hack23.cia.web.viewfactory.api.common.ModelAndView;

/**
 * The Class AbstractViewFactoryImpl.
 *
 * @param <MODELANDVIEW> the generic type
 */
public abstract class AbstractViewFactoryImpl<MODELANDVIEW extends AbstractModelAndView>
        implements ViewFactory {

    /**
     * Process specific view.
     *
     * @param modelandview the modelandview
     */
    public abstract void processSpecificView(final MODELANDVIEW modelandview);

    /*
     * (non-Javadoc)
     * 
     * @see
     * com.hack23.cia.web.viewfactory.impl.common.ViewFactory#processView(com
     * .hack23.cia.web.viewfactory.api.common.ModelAndView)
     */
    @SuppressWarnings("unchecked")
    @Override
    public final void processView(final ModelAndView modelAndView) {
        processSpecificView((MODELANDVIEW) modelAndView);
    }
}
