/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.web.views.components.panels;

import thinwire.ui.Image;
import thinwire.ui.Panel;
import thinwire.ui.layout.TableLayout;
import thinwire.util.ImageInfo;

/**
 * The Class ImagePanel.
 */
public class ImagePanel extends Panel {

	/**
	 * Instantiates a new image panel.
	 *
	 * @param fileName the file name
	 */
	public ImagePanel(final String fileName) {
        setLayout(new TableLayout(new double[][] { { 0 }, // Column Widths
                { 0 } }, // Row Heights
                1, // Margin around edge of container
                5)); // Spacing between cells

        if (fileName != null) {
			ImageInfo imageInfo = new ImageInfo("services/image?filename=" + fileName,ImageInfo.Format.PNG , 800, 600);
	        Image image = new Image(imageInfo);
	        image.setLimit("0,0,1,1"); //$NON-NLS-1$
	        image.setVisible(true);
	        getChildren().add(image);
        }
	}
}
