/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.views.user;

import java.util.List;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.application.impl.common.Agency;
import com.hack23.cia.model.sweden.impl.ParliamentMember;
import com.hack23.cia.web.common.ImageConstants;
import com.hack23.cia.web.views.components.gridboxes.ParliamentMemberGridBox;
import com.hack23.cia.web.views.components.panels.SimpleComponentPanel;

/**
 * The Class ParliamentMemberSearchResultPanel.
 */
public class ParliamentMemberSearchResultPanel extends SimpleComponentPanel {

    /**
     * Instantiates a new parliament member search result panel.
     *
     * @param userSessionDTO the user session dto
     * @param currentList the current list
     */
    public ParliamentMemberSearchResultPanel(final UserSessionDTO userSessionDTO,
            final List<ParliamentMember> currentList) {
        super(userSessionDTO
                .getLanguageResource(Agency.LanguageContentKey.SEARCH_RESULT),
                ImageConstants.POLITICIAN_ICON_SMALL,
                new ParliamentMemberGridBox(userSessionDTO,currentList));
    }
}
